<?php
require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';


if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------
if ($_REQUEST['accion']=='docentes'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("SELECT cedula as codigo,nombres FROM profesores order by nombres");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Docente - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['nombres'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------

if ($_REQUEST['accion']=='activar_asignatura'){

    $asignatura=$_REQUEST['asignatura'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE asignaturas_temporal SET activar='".$estado."' where codigo='".$asignatura."' and grado='".$grado."' and curso='".$curso."'");

    $obj->disconnect();

}


//---------------------------------------

if ($_REQUEST['accion']=='listado_asignaturas'){

    $docente=$_REQUEST['docente'];

    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");


    $cadena=$obj->consulta("SELECT curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, curso_asignatura_profesor.intensidad
                            FROM catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                            WHERE curso_asignatura_profesor.profesor='".$docente."' ORDER BY curso_asignatura_profesor.asignatura");

    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<br><div><input type='checkbox' id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>CODIGO</b></td>  <td><b>ASIGNATURA</b></td> <td><b>GRADO</b></td> <td><b>CURSO</b></td> <td><b>I_H</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['asignatura']."</td>";
        $s.="<td width='45%' style='font-size: 12px'> &nbsp;".$row['descripcion']."</td>";
        
        $s.="<td align='center' width='15%' style='font-size: 12px'> &nbsp;".$row['grado']."</td>";
        $s.="<td align='center' width='15%' style='font-size: 12px'> &nbsp;".$row['curso']."</td>";
        $s.="<td align='center' width='15%' style='font-size: 12px'> &nbsp;".$row['intensidad']."</td>";
                                
        $s.="<td width='5%' align='center'><input id='".$row['asignatura']."_".$row['grado']."_".$row['curso']."' type='checkbox' onclick='activar_asignatura(\"".$row['asignatura']."\",\"".$row['grado']."\",\"".$row['curso']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

     
        //Insertamos registros en las tablas temporales

        $obj->consulta("DELETE FROM asignaturas_temporal");

        $obj->consulta("insert into asignaturas_temporal (codigo,descripcion,grado,curso,i_h) SELECT curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, curso_asignatura_profesor.intensidad
                        FROM catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                        WHERE curso_asignatura_profesor.profesor='".$docente."' ORDER BY curso_asignatura_profesor.asignatura");

        $obj->consulta("UPDATE asignaturas_temporal SET activar='0'");

   

   echo $s;
     
   }

   $obj->disconnect();

}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_asignaturas'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE asignaturas_temporal SET activar='".$estado."'");

}


?>
